Package Carre3

Const
     MaxX=319,MaxY=199
Var
   Screen as @Array[0..MaxY,0..MaxX] Of Byte

Sub Plot(X,Y as Word; C as Byte)
Enter
  Screen[Y][X]=C
Leave

X,Y as Word

Enter
  AX=&H0013
  InLine(&H10CD)
  @Screen=Pointer(&HA000,&H0000)
  For X=0 To MaxX Do
     For Y=0 To MaxY Do Plot X,Y,X%(Y+1);
Leave